Login
Login-Name Passwort


 
Newsletter
Werbung

Sicherheit: Ausführen beliebiger Kommandos in OPUS
Aktuelle Meldungen Distributionen
Name: Ausführen beliebiger Kommandos in OPUS
ID: 201702-21
Distribution: Gentoo
Plattformen: Keine Angabe
Datum: Di, 21. Februar 2017, 07:33
Referenzen: https://git.xiph.org/?p=opus.git;a=commitdiff;h=70a3d641b
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=851612#10
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-0381

Originalnachricht

This is an OpenPGP/MIME signed message (RFC 4880 and 3156)
--jd6AT6gR37JIpn6lShNDDSBAiQFxBlArg
Content-Type: multipart/mixed;
boundary="60Jm13PVTVmE62PcCk623WoXF3NHqFqbI";
protected-headers="v1"
From: Thomas Deutschmann <whissi@gentoo.org>
Reply-To: security@gentoo.org
To: gentoo-announce@lists.gentoo.org
Message-ID: <13ca99e2-0b25-2bed-312c-ef42c195f201@gentoo.org>
Subject: [ GLSA 201702-21 ] Opus: User-assisted execution of arbitrary code

--60Jm13PVTVmE62PcCk623WoXF3NHqFqbI
Content-Type: text/plain; charset=utf-
Content-Transfer-Encoding: quoted-printable

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Gentoo Linux Security Advisory GLSA 201702-21
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
https://security.gentoo.org/
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Severity: Normal
Title: Opus: User-assisted execution of arbitrary code
Date: February 20, 2017
Bugs: #605894
ID: 201702-21

- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

Synopsis
========

A vulnerability in Opus could cause memory corruption.

Background
==========

Opus is a totally open, royalty-free, highly versatile audio codec.

Affected packages
=================

-------------------------------------------------------------------
Package / Vulnerable / Unaffected
-------------------------------------------------------------------
1 media-libs/opus < 1.1.3-r1 >= 1.1.3-r1

Description
===========

A large NLSF values could cause the stabilization code in
silk/NLSF_stabilize.c to wrap-around and have the last value in
NLSF_Q15[] to be negative, close to -32768.

Under normal circumstances, the code will simply read from the wrong
table resulting in an unstable LPC filter. The filter would then go
through the LPC stabilization code at the end of silk_NLSF2A().

Ultimately, the output audio would be garbage, but no worse than with
any other harmless bad packet.

Please see the referenced upstream patch and Debian bug report below
for a detailed analysis.

However, the original report was about a successful exploitation of
Android's Mediaserver in conjunction with this vulnerability.

Impact
======

A remote attacker could entice a user to open a specially crafted media
stream, possibly resulting in execution of arbitrary code with the
privileges of the process, or a Denial of Service condition.

Workaround
==========

There is no known workaround at this time.

Resolution
==========

All Opus users should upgrade to the latest version:

# emerge --sync
# emerge --ask --oneshot --verbose ">=media-libs/opus-1.1.3-r1"

References
==========

[ 1 ] CVE-2017-0381
http://nvd.nist.gov/nvd.cfm?cvename=CVE-2017-0381
[ 2 ] Debian Bug 851612
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=851612#10
[ 3 ] Upstream patch
https://git.xiph.org/?p=opus.git;a=commitdiff;h=70a3d641b

Availability
============

This GLSA and any updates to it are available for viewing at
the Gentoo Security Website:

https://security.gentoo.org/glsa/201702-21

Concerns?
=========

Security is a primary focus of Gentoo Linux and ensuring the
confidentiality and security of our users' machines is of utmost
importance to us. Any security concerns should be addressed to
security@gentoo.org or alternatively, you may file a bug at
https://bugs.gentoo.org.

License
=======

Copyright 2017 Gentoo Foundation, Inc; referenced text
belongs to its owner(s).

The contents of this document are licensed under the
Creative Commons - Attribution / Share Alike license.

http://creativecommons.org/licenses/by-sa/2.5


--60Jm13PVTVmE62PcCk623WoXF3NHqFqbI--

--jd6AT6gR37JIpn6lShNDDSBAiQFxBlArg
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: OpenPGP digital signature
Content-Disposition: attachment; filename="signature.asc"

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0

iQJ8BAEBCgBmBQJYq4C1XxSAAAAAAC4AKGlzc3Vlci1mcHJAbm90YXRpb25zLm9w
ZW5wZ3AuZmlmdGhob3JzZW1hbi5uZXQzM0M1ODQ4MkM0MDIyOTJEMkUzQzVDMDY5
NzA5RjkwQzNDOTZGRkM4AAoJEJcJ+Qw8lv/IKlYP/20mAjJHr97zeevBwUJgQPhJ
rcpeneVxqiU/iOmcY2peMU4nxxxfOd+Jx3IwNcFmSbQuxNxw9NW3WdK/KQ551qlG
cSLbpxe4CgcmL7y2jL9FEIM3kaatEecWxf2Zqeow7gnd5BuFoKk0gnnzXtEU5/Lk
cHWnnRMEoIPa5aRcQQJ1/a4IPIbTx3Iy7LsQbkF6FWf38z5e6OwzKI/YuN2/ZRKi
ZYDiI5p28KmXwmfPbi5uW8ZQQlq4yxqjAlFgOLWsvt6IAkpgC7JEpD9S0QXBPIuS
sHLT44goEg2LwdhBwMVx3hsngoHQ6OYccK0h/2n14KYMtLdjXLbq9ym+h4qAWsTe
46WcPpXrIA2HHXw98/4OKnsujNVZjyohWHXZQURpvfOuuVKIGl2hZ2IuxGHqepIz
seDKgZp8qcPkZcFJn94dxlDMAzjTq2kRHMI7N8lOzP5PqJ40YCVfYJ9rEqfii8r+
BITEFMKq0nnCSD2kLMnDLocTgJDzg/63K9Y7RdwouzKmu8GBO9R3v1CpAxlPMzg4
rixNyJ+ECcLwg2Yv/07NkOTR4jPmCHxHtrriOTwYRPcaU65jYLXfedzDrKmAwcQE
FKdYLKWVKIu9rxf9QJgiO8ECGJoW2FhAAUSUKRIuG5H2OlrbiwfiVU1LfGlsZScE
nQBQ8Jk64sxViOLhgiVq
=77pE
-----END PGP SIGNATURE-----

--jd6AT6gR37JIpn6lShNDDSBAiQFxBlArg--
Pro-Linux
Traut euch!
Neue Nachrichten
Werbung